Bug 186196 - [PATCH] converters/gbsdconv: fix depend on gobject-introspection, staging
Summary: [PATCH] converters/gbsdconv: fix depend on gobject-introspection, staging
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-28 13:10 UTC by Dmitry Marakasov
Modified: 2014-03-07 11:50 UTC (History)
1 user (show)

See Also:


Attachments
gbsdconv-11.1.patch (2.41 KB, patch)
2014-01-28 13:10 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov 2014-01-28 13:10:00 UTC
- Fix depend on gobject-introspection
- Support staging
- Patch upstream makefile to not mix LOCALBASE and PREFIX

Port maintainer (buganini@gmail.com) is cc'd.

Generated with FreeBSD Port Tools 0.99_11 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2014-01-28 13:10:07 UTC
Maintainer of converters/gbsdconv,

Please note that PR ports/186196 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/186196

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2014-01-28 13:10:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 buganini 2014-01-29 05:36:03 UTC
Thanks, but why
-post-patch:
-       @${REINPLACE_CMD} -e 's|/usr/local|${LOCALBASE}|g' ${WRKSRC}/gbsdconv
-
I'm also working on new release recently :D
Comment 4 Dmitry Marakasov 2014-01-29 14:33:32 UTC
* Buganini (buganini@gmail.com) wrote:

> -post-patch:
> -       @${REINPLACE_CMD} -e 's|/usr/local|${LOCALBASE}|g' ${WRKSRC}/gbsdconv
> -
> I'm also working on new release recently :D

Because PREFIX is set via MAKE_ENV, and its value in Makefile is not
used.

-- 
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2014-01-29 19:34:48 UTC
State Changed
From-To: feedback->feedback

adding misfiled PRs 186225 and 186238. 


Comment 6 Mark Linimon freebsd_committer freebsd_triage 2014-01-29 19:34:48 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-ports-bugs
Comment 7 Dmitry Marakasov freebsd_committer 2014-03-07 11:49:03 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 8 dfilter service freebsd_committer 2014-03-07 11:49:10 UTC
Author: amdmi3
Date: Fri Mar  7 11:49:02 2014
New Revision: 347376
URL: http://svnweb.freebsd.org/changeset/ports/347376
QAT: https://qat.redports.org/buildarchive/r347376/

Log:
  - Fix depend on gobject-introspection
  - Support staging
  - Patch upstream makefile to not mix LOCALBASE and PREFIX
  
  PR:		186196
  Submitted by:	amdmi3
  Approved by:	maintainer timeout

Added:
  head/converters/gbsdconv/files/
  head/converters/gbsdconv/files/patch-Makefile   (contents, props changed)
Modified:
  head/converters/gbsdconv/Makefile

Modified: head/converters/gbsdconv/Makefile
==============================================================================
--- head/converters/gbsdconv/Makefile	Fri Mar  7 11:46:37 2014	(r347375)
+++ head/converters/gbsdconv/Makefile	Fri Mar  7 11:49:02 2014	(r347376)
@@ -12,21 +12,17 @@ COMMENT=	GUI for bsdconv
 LICENSE=	BSD
 
 LIB_DEPENDS=	libtag.so:${PORTSDIR}/audio/taglib
-RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}bsdconv>=8.0:${PORTSDIR}/converters/py-bsdconv \
-		${LOCALBASE}/bin/g-ir-scanner:${PORTSDIR}/devel/gobject-introspection
+RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}bsdconv>=8.0:${PORTSDIR}/converters/py-bsdconv
 
 USE_GITHUB=	yes
 GH_ACCOUNT=	buganini
 GH_COMMIT=	0a9ad34
 
-USE_GNOME=	gtk30
+USE_GNOME=	gtk30 introspection:run
 USE_PYTHON=	yes
 
 USE_LDCONFIG=	yes
 
-MAKE_ARGS=	PREFIX=${PREFIX}
-NO_STAGE=	yes
-
 PLIST_FILES=	bin/gbsdconv \
 		lib/gbsdconv_taglib.so \
 		%%DATADIR%%/gbsdconv.png \
@@ -34,7 +30,4 @@ PLIST_FILES=	bin/gbsdconv \
 		%%DATADIR%%/gbsdconv2.png
 PLIST_DIRS=	%%DATADIR%%
 
-post-patch:
-	@${REINPLACE_CMD} -e 's|/usr/local|${LOCALBASE}|g' ${WRKSRC}/gbsdconv
-
 .include <bsd.port.mk>

Added: head/converters/gbsdconv/files/patch-Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/converters/gbsdconv/files/patch-Makefile	Fri Mar  7 11:49:02 2014	(r347376)
@@ -0,0 +1,26 @@
+--- Makefile.orig	2013-09-09 09:56:10.000000000 +0400
++++ Makefile	2014-01-28 04:02:41.281082541 +0400
+@@ -1,17 +1,17 @@
+ PREFIX?=/usr/local
+ 
+-LIBS=-L${PREFIX}/lib -ltag
++LIBS=-L${LOCALBASE}/lib -ltag
+ 
+ all: gbsdconv_taglib
+ 
+ gbsdconv_taglib: taglib/tag_c.cpp
+-	$(CXX) -I${PREFIX}/include/taglib -fPIC -shared -o gbsdconv_taglib.so taglib/tag_c.cpp ${LIBS}
++	$(CXX) -I${LOCALBASE}/include/taglib -fPIC -shared -o gbsdconv_taglib.so taglib/tag_c.cpp ${LIBS}
+ 
+ install:
+-	install -m 755 gbsdconv ${PREFIX}/bin
+-	install -m 444 gbsdconv_taglib.so ${PREFIX}/lib
+-	mkdir -p ${PREFIX}/share/gbsdconv
+-	install -m 444 gbsdconv.png gbsdconv.xml gbsdconv2.png ${PREFIX}/share/gbsdconv
++	install -m 755 gbsdconv ${DESTDIR}${PREFIX}/bin
++	install -m 444 gbsdconv_taglib.so ${DESTDIR}${PREFIX}/lib
++	mkdir -p ${DESTDIR}${PREFIX}/share/gbsdconv
++	install -m 444 gbsdconv.png gbsdconv.xml gbsdconv2.png ${DESTDIR}${PREFIX}/share/gbsdconv
+ 
+ clean:
+ 	rm -f gbsdconv_taglib.so
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"